zabbix_export:
  version: '6.2'
  date: '2023-04-14T08:21:45Z'
  template_groups:
    -
      uuid: a3ef6243cfbd46d1a9dfb75f88111504
      name: 'Service'
  templates:
    -
      uuid: bf1c03ecd0d84d828c36b782ed8d19d8
      template: 'General Information'
      name: 'General Information'
      groups:
        -
          name: 'Service'
      items:
        -
          uuid: f2b0f05ca15f43409dba581e0f4f2903
          name: 'Contact details'
          type: SNMP_AGENT
          snmp_oid: 'SNMPv2-MIB::sysContact.0'
          key: 'system.contact[sysContact.0]'
          delay: 1d
          history: 2w
          trends: '0'
          value_type: CHAR
          description: |
            MIB: SNMPv2-MIB
            The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.
          inventory_link: CONTACT
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 12h
          request_method: POST
          tags:
            -
              tag: component
              value: system
        -
          uuid: 3b0caab0ad804a78a9c0808aa6686a79
          name: Description
          type: SNMP_AGENT
          snmp_oid: 'SNMPv2-MIB::sysDescr.0'
          key: 'system.descr[sysDescr.0]'
          delay: 1d
          history: 2w
          trends: '0'
          value_type: CHAR
          description: |
            MIB: SNMPv2-MIB
            A textual description of the entity. This value should
            include the full name and version identification of the system's hardware type, software operating-system, and
            networking software.
          inventory_link: OS_FULL
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 12h
          request_method: POST
          tags:
            -
              tag: component
              value: system
        -
          uuid: 2c5826b259fd4e0d88af1c61f1281906
          name: 'Uptime (hardware)'
          type: SNMP_AGENT
          snmp_oid: 'HOST-RESOURCES-MIB::hrSystemUptime.0'
          key: 'system.hw.uptime[hrSystemUptime.0]'
          delay: 5m
          history: 2w
          units: uptime
          description: |
            MIB: HOST-RESOURCES-MIB
            The amount of time since this host was last initialized. Note that this is different from sysUpTime in the SNMPv2-MIB [RFC1907] because sysUpTime is the uptime of the network management portion of the system.
          preprocessing:
            -
              type: CHECK_NOT_SUPPORTED
              parameters:
                - ''
              error_handler: CUSTOM_VALUE
              error_handler_params: '0'
            -
              type: MULTIPLIER
              parameters:
                - '0.01'
          request_method: POST
          tags:
            -
              tag: component
              value: system
        -
          uuid: 07864a37a1dc4d3bafe1ceafb2cfaca2
          name: Location
          type: SNMP_AGENT
          snmp_oid: 'SNMPv2-MIB::sysLocation.0'
          key: 'system.location[sysLocation.0]'
          delay: 1d
          history: 2w
          trends: '0'
          value_type: CHAR
          description: |
            MIB: SNMPv2-MIB
            The physical location of this node (e.g., `telephone closet, 3rd floor').  If the location is unknown, the value is the zero-length string.
          inventory_link: LOCATION
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 12h
          request_method: POST
          tags:
            -
              tag: component
              value: system
        -
          uuid: 70f187e6b79b40c593e8ecfa77c4ee25
          name: Hostname
          type: SNMP_AGENT
          snmp_oid: 'SNMPv2-MIB::sysName.0'
          key: system.name
          delay: 1d
          history: 2w
          trends: '0'
          value_type: CHAR
          description: |
            MIB: SNMPv2-MIB
            An administratively-assigned name for this managed node.By convention, this is the node's fully-qualified domain name.  If the name is unknown, the value is the zero-length string.
          inventory_link: NAME
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1d
          request_method: POST
          tags:
            -
              tag: component
              value: system
          triggers:
            -
              uuid: c449b08d6a994f489b28524f675704db
              expression: '(last(/General Information/system.name,#1)<>last(/General Information/system.name,#2)) and length(last(/General Information/system.name))>0'
              recovery_mode: NONE
              name: 'Hostname has changed'
              priority: INFO
              description: 'System name has changed. Ack to close.'
              manual_close: 'YES'
              tags:
                -
                  tag: scope
                  value: notice
                -
                  tag: scope
                  value: security
        -
          uuid: 25da44ad8f7849d9ad152073900a33c1
          name: 'Uptime (network)'
          type: SNMP_AGENT
          snmp_oid: 'DISMAN-EVENT-MIB::sysUpTimeInstance'
          key: 'system.net.uptime[sysUpTime.0]'
          delay: 5m
          history: 2w
          units: uptime
          description: |
            MIB: SNMPv2-MIB
            The time (in hundredths of a second) since the network management portion of the system was last re-initialized.
          preprocessing:
            -
              type: MULTIPLIER
              parameters:
                - '0.01'
          tags:
            -
              tag: component
              value: system
        -
          uuid: 5ff4bacfbce34711931c13a4d8842983
          name: 'SNMP agent availability'
          type: INTERNAL
          key: 'zabbix[host,snmp,available]'
          description: |
            Availability of SNMP checks on the host. The value of this item corresponds to availability icons in the host list.
            Possible value:
            0 - not available
            1 - available
            2 - unknown
          valuemap:
            name: zabbix.host.available
          tags:
            -
              tag: component
              value: health
            -
              tag: component
              value: network
          triggers:
            -
              uuid: 66a308907b37406994a4f21252240c08
              expression: 'max(/General Information/zabbix[host,snmp,available],{$SNMP.TIMEOUT})=0'
              name: 'No SNMP data collection'
              opdata: 'Current state: {ITEM.LASTVALUE1}'
              priority: WARNING
              description: 'SNMP is not available for polling. Please check device connectivity and SNMP settings.'
              tags:
                -
                  tag: scope
                  value: availability
      tags:
        -
          tag: target
          value: generic
      macros:
        -
          macro: '{$SNMP.TIMEOUT}'
          value: 1m
      valuemaps:
        -
          uuid: b94e0a835f904575aaad35a5343878e7
          name: 'Service state'
          mappings:
            -
              value: '0'
              newvalue: Down
            -
              value: '1'
              newvalue: Up
        -
          uuid: 2e436757b5ac4b2c851356be02916a38
          name: zabbix.host.available
          mappings:
            -
              value: '0'
              newvalue: 'not available'
            -
              value: '1'
              newvalue: available
            -
              value: '2'
              newvalue: unknown
  triggers:
    -
      uuid: 8541e5347c9d4b14ac03207bb32a052b
      expression: '(last(/General Information/system.hw.uptime[hrSystemUptime.0])>0 and last(/General Information/system.hw.uptime[hrSystemUptime.0])<10m) or (last(/General Information/system.hw.uptime[hrSystemUptime.0])=0 and last(/General Information/system.net.uptime[sysUpTime.0])<10m)'
      name: '{HOST.NAME} has just been restarted'
      event_name: '{HOST.NAME} has been restarted (uptime < 10m)'
      priority: INFO
      description: 'Uptime is less than 10 minutes.'
      manual_close: 'YES'
      tags:
        -
          tag: scope
          value: notice
